[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragObject.GetDragCursor

Returns the dragging cursor type (shape).

## Declaration

Source position: controls.pp line 518

`protected function TDragObject.GetDragCursor(`
`Accepted: Boolean;`
`X: Integer;`
`Y: Integer`
`):TCursor; virtual;`

## Arguments

`Accepted` |  | Which cursor to return (rejected: crNoDrop or accepted: crDrag).
`X` |  | Horizontal coordinate for the drag cursor.
`Y` |  | Vertical coordinate for the drag cursor.

## Function result

The cursor to show.

## Description

In drag-drop operations the cursor signals acceptance or rejection of an drop, depending on Accepted.